/*
Copyright (C) 2014 Graham Jones, www.indriid.com
*/

package stacey.util;

import beast.core.Description;

import java.util.Formatter;
import java.util.Locale;




/**
 * Created by Graham Jones on 19/08/2014.
 */

@Description("Miscellaneous methods, mainly for debug output. <br/>")

public class Misc {


    public static String nonnegIn8Chars(double x)
    {
        StringBuilder s = new StringBuilder();
        Formatter formatter = new Formatter(s, Locale.US);
        if (x < 0) {
            formatter.format("%8s", "NA");
        } else if (x == 0.0) {
            formatter.format("%8s", "zero");
        } else if (x < 1e-3) {
            formatter.format("%8.2e", x);
        } else if (x < 9.999) {
            formatter.format("%8.5f", x);
        } else if (x < 99.99) {
            formatter.format("%8.4f", x);
        } else if (x < 999.9) {
            formatter.format("%8.3f", x);
        } else if (x < 9999) {
            formatter.format("%8.2f", x);
        } else {
            formatter.format("%8.0f", x);
        }
        return s.toString();
    }


    public static String nonnegIntIn2Chars(int x)
    {
        StringBuilder s = new StringBuilder();
        Formatter formatter = new Formatter(s, Locale.US);
        if (x < 0) {
            formatter.format("%2s", "NA");
        } else {
            formatter.format("%2d", x);
        }
        return s.toString();
    }


/* needed?


public static double uniformInRange(double oldx, double min, double max, double halfwidth)

 */



}
