/*
Copyright (C) 2014 Graham Jones, www.indriid.com
*/

package stacey.util;


import beast.core.Description;
import stacey.util.BitUnion;


/**
 * Created by Graham Jones on 21/08/2014.
 */

@Description("A small low-level class used to pass information from OperatorsSMCTree to operators.")


public class NudgeMoveSMCNodeInfo {
    private final int nodeNr;
    private final double nodeHeight;
    private final double lftHeight;
    private final BitUnion nodeUnion;
    private final BitUnion lftUnion;
    private final double rgtHeight;
    private final BitUnion rgtUnion;
    private final double ancHeight;

    public NudgeMoveSMCNodeInfo(int nodeNr,
                                double nodeHeight, BitUnion nodeUnion,
                                double lftHeight, BitUnion lftUnion,
                                double rgtHeight, BitUnion rgtUnion,
                                double ancHeight) {
        this.nodeNr = nodeNr;
        this.nodeHeight = nodeHeight;
        this.nodeUnion = nodeUnion;
        this.lftHeight = lftHeight;
        this.lftUnion = lftUnion;
        this.rgtHeight = rgtHeight;
        this.rgtUnion = rgtUnion;
        this.ancHeight = ancHeight;
    }

    public int getNodeNr() { return nodeNr; }
    public double getNodeHeight() { return nodeHeight; }
    public BitUnion getNodeUnion() { return nodeUnion; }
    public double getLftHeight() { return lftHeight; }
    public BitUnion getLftUnion() { return lftUnion; }
    public double getRgtHeight() { return rgtHeight; }
    public BitUnion getRgtUnion() { return rgtUnion; }
    public double getAncHeight() { return ancHeight; }
}
